Subject: Re: linux-next: manual merge of the m68knommu tree with the m68k tree

From: Greg Ungerer <[email-masked]>
Date: Thu, 23 Jun 2011 16:12:09 +1000

On 22/06/11 18:29, Geert Uytterhoeven wrote:
> Hi Greg, Stephen,
>
> On Wed, Jun 22, 2011 at 08:34, Greg Ungerer<[email-masked]>  wrote:
>> On 22/06/11 11:12, Stephen Rothwell wrote:
>>> Today's linux-next merge of the m68knommu tree got a conflict in
>>> arch/m68k/include/asm/bitops_mm.h between commit 17c74432b88e
>>> ("m68k/bitops: Make bitmap data pointer of atomic ops volatile") from the
>>> m68k tree and commit 2cb0d89e66b1 ("m68k: merge mmu and non-mmu
>>> bitops.h") from the m68knommu tree.
>>>
>>> The latter effectively deletes in the file and in doing the merge,
>>> removes the funtions that were modified by the former commit. Ã¡So I just
>>> removed the file.
>>
>> That would be right. The changes that Geert's patch makes are in
>> my merge patch.
>
> Sorry, I forgot that Greg was merging them, which also fixes the issue we
> had on m68k.
>
> [mental note to self: check for merge conflicts with m68knommu before updating
>   for-next]
>
>> Geert: do you want me to hold of on merging the bitops.h files?
>
> No, it looks fine to me. Feel free to add my Acked-by.

Thanks Geert. Will do.

Regards
Greg

------------------------------------------------------------------------
Greg Ungerer  --  Principal Engineer        EMAIL:     [email-masked]
SnapGear Group, McAfee                      PHONE:       +61 7 3435 2888
8 Gardner Close                             FAX:         +61 7 3217 5323
Milton, QLD, 4064, Australia                WEB: http://www.SnapGear.com